# List offers

---
Retrieve a list of offers.

---

## Attributes details

Endpoint: GET /v1/ticketing/catalogs/{catalogId}/offers
Version: release
Security: JWT

## Path parameters:

  - `catalogId` (string, required)
    Catalog identifier

## Query parameters:

  - `page` (integer)
    The collection page number

  - `itemsPerPage` (integer)
    The number of items per page

  - `order[date]` (string)
    Order by date
    Enum: "asc", "desc"

  - `date[after]` (string)
    TicketingOffer date[after]

  - `date[strictly_after]` (string)
    TicketingOffer date[strictly_after]

  - `date[before]` (string)
    TicketingOffer date[before]

  - `date[strictly_before]` (string)
    TicketingOffer date[strictly_before]

  - `product[]` (array)
    Filter by product

  - `productBaseId` (string)
    Filter by product base ID

  - `session` (string)
    Filter by session

  - `optionValuesContext[]` (array)
    Filter by option values

## Response 200 fields (application/ld+json):

  - `totalItems` (integer)

  - `search` (object)

  - `search.@type` (string)

  - `search.template` (string)

  - `search.variableRepresentation` (string)

  - `search.mapping` (array)

  - `search.mapping.@type` (string)

  - `search.mapping.variable` (string)

  - `search.mapping.property` (string,null)

  - `search.mapping.required` (boolean)

  - `view` (object)
    Example: {"@id":"string","@type":"string","first":"string","last":"string","previous":"string","next":"string"}

  - `view.@id` (string)
    Example: "string"

  - `view.@type` (string)
    Example: "string"

  - `view.first` (string)
    Example: "string"

  - `view.last` (string)
    Example: "string"

  - `view.previous` (string)
    Example: "string"

  - `view.next` (string)
    Example: "string"

  - `member` (array, required)

  - `member.@context` (any)

  - `member.@id` (string, required)

  - `member.@type` (string, required)

  - `member.id` (string)
    Example: "0194ad2c-491c-7c9e-b842-10ee940ed6a3"

  - `member.date` (string,null)
    Example: "2025-01-27"

  - `member.expiresAt` (string)

  - `member.availabilityCheckRequired` (boolean)

  - `member.realtimePriceRequired` (boolean)

  - `member.price` (object)

  - `member.price.amountInclTax` (string)
    Example: "100.00"

  - `member.price.originalAmountInclTax` (string,null)
    Example: "120.00"

  - `member.price.currency` (string)
    Example: "eur"

  - `member.product` (object)
    Products are elements that can be purchased. The price and availability of a product at specific date and for a specific category are specified in the Offer object.

  - `member.product.@context` (any)

  - `member.product.@id` (string, required)

  - `member.product.@type` (string, required)

  - `member.product.id` (string)
    Example: "0194ad2c-491c-7c9e-b842-10ee940ed6a3"

  - `member.product.productBase` (string)
    Example: "https://example.com/"

  - `member.product.name` (string)
    Example: "A great product name"

  - `member.product.description` (string)
    Example: "A great product description"

  - `member.product.disabled` (boolean)

  - `member.product.options` (array)

  - `member.product.options.@context` (any)

  - `member.product.options.@id` (string, required)

  - `member.product.options.@type` (string, required)

  - `member.product.options.code` (string)
    Example: "zone"

  - `member.product.options.value` (any)

  - `member.tickets` (array)

  - `member.tickets.@context` (any)

  - `member.tickets.@id` (string, required)

  - `member.tickets.@type` (string, required)

  - `member.tickets.id` (string)
    Example: "0194cb3b-55d8-7d9f-a344-cee66d7d20dd"

  - `member.tickets.name` (string)
    Example: "A great offer's ticket name"

  - `member.tickets.description` (string)
    Example: "A great offer's ticket description"

  - `member.tickets.dateAccess` (boolean)
    Indicates whether the ticket provides full-day access (when true) or requires selecting a specific session to attend (when false).

  - `member.tickets.sessions` (array)

  - `member.tickets.sessions.@context` (any)

  - `member.tickets.sessions.@id` (string, required)

  - `member.tickets.sessions.@type` (string, required)

  - `member.tickets.sessions.id` (string)
    Example: "0194cb3c-a7c7-7d3d-a335-f1b396083acd"

  - `member.tickets.sessions.occursAt` (string)
    Example: "2025-01-27T15:15:20+00:00"

  - `member.tickets.sessions.duration` (integer,null)
    Example: 100

  - `member.tickets.sessions.seatMap` (string,null)

  - `member.tickets.sessions.confirmed` (boolean)

  - `member.tickets.form` (string,null)
    Example: "/v1/forms/0195197f-7918-7285-bb4b-7df2b682c3eb"

  - `member.availableQuantity` (integer,null)
    Example: 4000

## Response 403 fields (application/ld+json):

  - `@context` (any)

  - `@id` (string, required)

  - `@type` (string, required)

  - `title` (string,null)
    A short, human-readable summary of the problem.

  - `detail` (string,null)
    A human-readable explanation specific to this occurrence of the problem.

  - `status` (number,null)

  - `instance` (string,null)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `type` (string)
    A URI reference that identifies the problem type

  - `description` (string,null)


